pcl::MaskMap Class Reference

`#include <pcl/recognition/mask_map.h>`

## Public Member Functions

| MaskMap ()
| MaskMap (size_t width, size_t height)
virtual | ~MaskMap ()
void | resize (size_t width, size_t height)
size_t | getWidth () const
size_t | getHeight () const
unsigned char * | getData ()
const unsigned char * | getData () const
void | set (const size_t x, const size_t y)
void | unset (const size_t x, const size_t y)
bool | isSet (const size_t x, const size_t y) const
void | reset ()
unsigned char & | operator() (const size_t x, const size_t y)
const unsigned char & | operator() (const size_t x, const size_t y) const
void | erode (MaskMap &eroded_mask) const

## Static Public Member Functions

static void | getDifferenceMask (const MaskMap &mask0, const MaskMap &mask1, MaskMap &diff_mask)

## Detailed Description

Definition at line 47 of file mask_map.h.

## Constructor & Destructor Documentation

## MaskMap() [1/2]

pcl::MaskMap::MaskMap | ( |  | ) |

## MaskMap() [2/2]

pcl::MaskMap::MaskMap | ( | size_t | width,
|  | size_t | height
| ) |  |

## ~MaskMap()

virtual pcl::MaskMap::~MaskMap | ( |  | ) |

virtual

## Member Function Documentation

## erode()

void pcl::MaskMap::erode | ( | MaskMap & | eroded_mask | ) | const

## getData() [1/2]

unsigned char* pcl::MaskMap::getData | ( |  | ) |

inline

Definition at line 64 of file mask_map.h.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), and pcl::SurfaceNormalModality< PointXYZT >::computeDistanceMap().

## getData() [2/2]

const unsigned char* pcl::MaskMap::getData | ( |  | ) | const

inline

Definition at line 67 of file mask_map.h.

## getDifferenceMask()

static void pcl::MaskMap::getDifferenceMask | ( | const MaskMap & | mask0,
|  | const MaskMap & | mask1,
|  | MaskMap & | diff_mask
| ) |  |

static

## getHeight()

size_t pcl::MaskMap::getHeight | ( |  | ) | const

inline

Definition at line 61 of file mask_map.h.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), pcl::SurfaceNormalModality< PointXYZT >::computeDistanceMap(), pcl::ColorGradientModality< PointRGBT >::erode(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointXYZT >::extractAllFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::SurfaceNormalModality< PointXYZT >::extractFeatures().

## getWidth()

size_t pcl::MaskMap::getWidth | ( |  | ) | const

inline

Definition at line 58 of file mask_map.h.

Referenced by pcl::ColorModality< PointInT >::computeDistanceMap(), pcl::SurfaceNormalModality< PointXYZT >::computeDistanceMap(), pcl::ColorGradientModality< PointRGBT >::erode(), pcl::ColorGradientModality< PointRGBT >::extractAllFeatures(), pcl::SurfaceNormalModality< PointXYZT >::extractAllFeatures(), pcl::ColorModality< PointInT >::extractFeatures(), pcl::ColorGradientModality< PointRGBT >::extractFeatures(), and pcl::SurfaceNormalModality< PointXYZT >::extractFeatures().

## isSet()

bool pcl::MaskMap::isSet | ( | const size_t | x,
|  | const size_t | y
| ) |  | const

inline

Definition at line 87 of file mask_map.h.

## operator()() [1/2]

unsigned char& pcl::MaskMap::operator() | ( | const size_t | x,
|  | const size_t | y
| ) |  |

inline

Definition at line 99 of file mask_map.h.

## operator()() [2/2]

const unsigned char& pcl::MaskMap::operator() | ( | const size_t | x,
|  | const size_t | y
| ) |  | const

inline

Definition at line 105 of file mask_map.h.

## reset()

void pcl::MaskMap::reset | ( |  | ) |

inline

Definition at line 93 of file mask_map.h.

## resize()

void pcl::MaskMap::resize | ( | size_t | width,
|  | size_t | height
| ) |  |

Referenced by pcl::ColorGradientModality< PointRGBT >::erode().

## set()

void pcl::MaskMap::set | ( | const size_t | x,
|  | const size_t | y
| ) |  |

inline

Definition at line 75 of file mask_map.h.

## unset()

void pcl::MaskMap::unset | ( | const size_t | x,
|  | const size_t | y
| ) |  |

inline

Definition at line 81 of file mask_map.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/mask_map.h